# Class yii\web\UrlNormalizerRedirectException

Inheritance | yii\web\UrlNormalizerRedirectException » yii\base\Exception » Exception
Available since version | 2.0.10
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/UrlNormalizerRedirectException.php

UrlNormalizerRedirectException represents an information for redirection which should be performed during the URL normalization.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$scheme | boolean|string | The URI scheme to use in the generated URL for redirection | yii\web\UrlNormalizerRedirectException
$statusCode | integer | The HTTP status code | yii\web\UrlNormalizerRedirectException
$url | array|string | The parameter to be used to generate a valid URL for redirection | yii\web\UrlNormalizerRedirectException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\web\UrlNormalizerRedirectException
getName() |  | yii\base\Exception

## Property Details

$scheme public property

The URI scheme to use in the generated URL for redirection

See also [[yii\helpers\Url::to()]].

public boolean|string $scheme = null
$statusCode public property

The HTTP status code

public integer $statusCode = null
$url public property

The parameter to be used to generate a valid URL for redirection

See also [[yii\helpers\Url::to()]].

public array|string $url = null

## Method Details

__construct() public method

public void __construct ( $url, $statusCode = 302, $scheme = false, $message = null, $code = 0, Exception $previous = null )
$url | array|string | The parameter to be used to generate a valid URL for redirection. This will be used as first parameter for yii\helpers\Url::to()
$statusCode | integer | HTTP status code used for redirection
$scheme | boolean|string | The URI scheme to use in the generated URL for redirection. This will be used as second parameter for yii\helpers\Url::to()
$message | string | The error message
$code | integer | The error code
$previous | Exception | The previous exception used for the exception chaining